Package Gnumed :: Package wxpython :: Module gmDemographicsWidgets :: Class cPatOccupationsPanel |
[frames] | no frames]

# Class cPatOccupationsPanel

source code

    wx.Panel --+
               |
              cPatOccupationsPanel

Page containing patient occupations edition fields.

Instance Methods
__init__(self, parent, id, ident=None) Creates a new instance of BasicPatDetailsPage @param parent - The parent widget @type parent - A wx.Window instance @param id - The widget id @type id - An integer | source code
set_identity(self, identity) | source code
refresh(self, identity=None) | source code
save(self) | source code